/*
 * BeingKind.java
 *
 * Created on 17  2007 ., 9:33
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package universum.beings.Yeties;

import universum.bi.*;
import universum.util.*;

/**
 *
 * @author kalugin
 */
public class BeingKind {
    
    public enum CurrentType {
        INITIAL,
        EXPLORER,
        WARRIOR,
        GUARDIAN
    };
    
    private CurrentType current = CurrentType.INITIAL;
    
    // explorer data
    private Task task;
    
    // guardian data
    private Location to_guard;
    
    // warrior data
    private Location target_point;
    private Location assembly_point;
    private boolean attack_flag = false;
    private boolean victory_flag = false;
    
    /** Creates a new instance of BeingKind */
    public BeingKind(  ) {
        current = CurrentType.INITIAL;
    }
    
    public BeingKind( CurrentType ct ) {
        current = ct;
    }
    
    public CurrentType getCurrent() {
        return current;
    }
    
    public void switchTo( CurrentType new_type ) {
        current = new_type;
    }

    public void setAttackFlag( boolean af ) {
        this.attack_flag = af;
    }
    
    public boolean getAttackFlag() {
        return this.attack_flag;
    }
    
    public void setVictoryFlag( boolean flag ) {
        victory_flag = flag;
    }

    public boolean getVictoryFlag() {
        return victory_flag;
    }
    
    public void setTask( Task task_ ) {
        this.task = task_;
    }
    
    public Task getTask() {
        return this.task;
    }
    
    public void setGuardObject( Location to_guard_ ) {
        this.to_guard = to_guard_;
    }
    
    public Location getGuardObject() {
        return this.to_guard;
    }

    public void setTargetPoint( Location tp ) {
        target_point = tp;
    }

    public Location getTargetPoint() {
        return target_point;
    }

    public void setAssemplyPoint( Location ap ) {
        assembly_point = ap;
    }

    public Location getAssemplyPoint() {
        return assembly_point;
    }

}
