/*
 * MyPointInfo.java
 *
 * Created on 26  2007 ., 10:46
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package universum.beings.Yeties;


import universum.bi.*;
import universum.util.*;
import java.util.List;
import java.util.ArrayList;

/**
 *
 * @author kalugin
 */
public class MyPointInfo {
    
    private class EnemyInfo {
        public Integer id;
        public float mass;
        public EnemyInfo( Integer id, float mass ) {
            this.id = id;
            this.mass = mass;
        }
    }
    
    List<EnemyInfo> enemies;
    float total_mass;
    
    /** Creates a new instance of MyPointInfo */
    public MyPointInfo() {
        enemies = new ArrayList();
        total_mass = 0;
    }
    
    public synchronized void add( Integer id, float mass ) {
        EnemyInfo enemy = new EnemyInfo( id, mass );
        enemies.add( enemy );
        total_mass += mass;
    }
    
    public float getEnemyMass( Integer id ) {
        for( EnemyInfo info : enemies ) {
            if( info.id == id ) {
                return info.mass;
            }
        }
        return 0;
    }

    public float getEnemyTotalMass() {        
        return total_mass;
    }

    
    public List<Integer> getEnemyList() {
        List<Integer> list = new ArrayList();
        
        for( EnemyInfo info : enemies ) {
            list.add( info.id );
        }
        return list;
    }
    
}
